[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# StartOfTheMonth

Calculate the first day of the month, given a date in that month.

## Declaration

Source position: dateutil.inc line 156

`function StartOfTheMonth(`
`const AValue: TDateTime`
`):TDateTime;`

## Arguments

`AValue` |  | Date to return first of month from

## Function result

First day of month as a TDateTime value.

## Description

StartOfTheMonth extracts the year and month parts of AValue and returns a TDateTime value with the date of the first day of that year and month as the StartOfAMonth function.

## See also

StartOfAMonth |  | Return first date of month, given a year/month pair.
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month
StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfTheWeek |  | Return the first day of the week, given a date.

## Example

    Program Example28;

    { This program demonstrates the StartOfTheMonth function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"First day of this month : "dd mmmm yyyy';

    Begin
      Writeln(FormatDateTime(Fmt,StartOfTheMonth(Today)));
    End.